<!DOCTYPE html>
<html lang="en">
  <head>
    <title>ProxicloudSDK  Reference</title>
    <link rel="stylesheet" type="text/css" href="css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="css/highlight.css" />
    <meta charset='utf-8'>
    <script src="js/jquery.min.js" defer></script>
    <script src="js/jazzy.js" defer></script>
    
    <script src="js/lunr.min.js" defer></script>
    <script src="js/typeahead.jquery.js" defer></script>
    <script src="js/jazzy.search.js" defer></script>
  </head>
  <body>
    <a title="ProxicloudSDK  Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="index.html">ProxicloudSDK 2.4.0 Docs</a> (32% documented)</p>
        <p class="header-right">
          <form role="search" action="search.json">
            <input type="text" placeholder="Search documentation" data-typeahead>
          </form>
        </p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="index.html">ProxicloudSDK Reference</a>
        <img id="carat" src="img/carat.png" />
        ProxicloudSDK  Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="Categories.html">Categories</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Categories/CBCharacteristic%28PCCharacteristic%29.html">CBCharacteristic(PCCharacteristic)</a>
              </li>
              <li class="nav-group-task">
                <a href="Categories/CBPeripheral%28PCPeripheral%29.html">CBPeripheral(PCPeripheral)</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Classes/PCBluetooth.html">PCBluetooth</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEnums.html">PCEnums</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEvent.html">PCEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventAID.html">PCEventAID</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventApplicationActive">PCEventApplicationActive</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventApplicationDidEnterBackground">PCEventApplicationDidEnterBackground</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventApplicationForeground">PCEventApplicationForeground</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventApplicationLaunched.html">PCEventApplicationLaunched</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventApplicationWillEnterForeground">PCEventApplicationWillEnterForeground</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventApplicationWillResignActive">PCEventApplicationWillResignActive</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventApplicationWillTerminate">PCEventApplicationWillTerminate</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventBluetoothAuthorization.html">PCEventBluetoothAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventBluetoothEmulation">PCEventBluetoothEmulation</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventCharacteristicWrite.html">PCEventCharacteristicWrite</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventCharacteristicsUpdate.html">PCEventCharacteristicsUpdate</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventCustom.html">PCEventCustom</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventDeviceConnected.html">PCEventDeviceConnected</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventDeviceConnectedToWiFiNetwork.html">PCEventDeviceConnectedToWiFiNetwork</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventDeviceDisconnected.html">PCEventDeviceDisconnected</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventDeviceDisconnectedFromWiFiNetwork.html">PCEventDeviceDisconnectedFromWiFiNetwork</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventDeviceDiscovered.html">PCEventDeviceDiscovered</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventDeviceUpdated.html">PCEventDeviceUpdated</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventLocationAuthorization.html">PCEventLocationAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventMagnetometerUpdate.html">PCEventMagnetometerUpdate</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventNotificationsAuthorization.html">PCEventNotificationsAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventPerformAction.html">PCEventPerformAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventPerformWhenInUseAction.html">PCEventPerformWhenInUseAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventRangedBeacon.html">PCEventRangedBeacon</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventReachabilityEvent.html">PCEventReachabilityEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventRegionEnter.html">PCEventRegionEnter</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventRegionExit.html">PCEventRegionExit</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventReportConversion.html">PCEventReportConversion</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventReportHistory.html">PCEventReportHistory</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventResetManager">PCEventResetManager</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventServicesUpdated.html">PCEventServicesUpdated</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventStatusUpdate">PCEventStatusUpdate</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventUpdateHeaders">PCEventUpdateHeaders</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventUpdateResolver.html">PCEventUpdateResolver</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventWiFiStatus.html">PCEventWiFiStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMAID.html">PCMAID</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMBeacon.html">PCMBeacon</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMCampaignAction.html">PCMCampaignAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMGeofence.html">PCMGeofence</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMLocationAction.html">PCMLocationAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMRegion.html">PCMRegion</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMTrigger.html">PCMTrigger</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMWifiNetwork.html">PCMWifiNetwork</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMagnetometer.html">PCMagnetometer</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCManager.html">PCManager</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCModel">PCModel</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCSettingEvent.html">PCSettingEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCUpdateSettingEvent.html">PCUpdateSettingEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/ProxicloudSDK.html">ProxicloudSDK</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Constants.html">Constants</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Constants.html#/c:@APIDateFormat">APIDateFormat</a>
              </li>
              <li class="nav-group-task">
                <a href="Constants.html#/c:@ProxicloudSDKVersionNumber">ProxicloudSDKVersionNumber</a>
              </li>
              <li class="nav-group-task">
                <a href="Constants.html#/c:@ProxicloudSDKVersionString">ProxicloudSDKVersionString</a>
              </li>
              <li class="nav-group-task">
                <a href="Constants.html#/c:@kPCIdentifier">kPCIdentifier</a>
              </li>
              <li class="nav-group-task">
                <a href="Constants.html#/c:PCEnums.h@kPCMagnitudeFarKey">kPCMagnitudeFarKey</a>
              </li>
              <li class="nav-group-task">
                <a href="Constants.html#/c:PCEnums.h@kPCMagnitudeImmediateKey">kPCMagnitudeImmediateKey</a>
              </li>
              <li class="nav-group-task">
                <a href="Constants.html#/c:PCEnums.h@kPCMagnitudeNearKey">kPCMagnitudeNearKey</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Enums/PCActionType.html">PCActionType</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCBluetoothStatus.html">PCBluetoothStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCConversionType.html">PCConversionType</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCInternalActionType.html">PCInternalActionType</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCLocationAuthorizationStatus.html">PCLocationAuthorizationStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCManagerAvailabilityStatus.html">PCManagerAvailabilityStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCManagerBackgroundAppRefreshStatus.html">PCManagerBackgroundAppRefreshStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCTriggerType.html">PCTriggerType</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCWifiStatus.html">PCWifiStatus</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEvent">PCEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventBluetoothAuthorization">PCEventBluetoothAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventLocationAuthorization">PCEventLocationAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventNotificationsAuthorization">PCEventNotificationsAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventPerformAction">PCEventPerformAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventRangedBeacons">PCEventRangedBeacons</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventRegionEnter">PCEventRegionEnter</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventRegionExit">PCEventRegionExit</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventReportHistory">PCEventReportHistory</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventResetManager">PCEventResetManager</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventStatusUpdate">PCEventStatusUpdate</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventUpdateHeaders">PCEventUpdateHeaders</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMAID">PCMAID</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMBeacon">PCMBeacon</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMCampaignAction">PCMCampaignAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMGeofence">PCMGeofence</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMLocationAction">PCMLocationAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMRegion">PCMRegion</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMTrigger">PCMTrigger</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMWifiNetwork">PCMWifiNetwork</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCModel">PCModel</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Type%20Definitions.html">Type Definitions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Type%20Definitions/PCFirmwareVersion.html">PCFirmwareVersion</a>
              </li>
              <li class="nav-group-task">
                <a href="Type%20Definitions/PCMagneticProximity.html">PCMagneticProximity</a>
              </li>
              <li class="nav-group-task">
                <a href="Type%20Definitions/PCPeripheralCharacteristic.html">PCPeripheralCharacteristic</a>
              </li>
              <li class="nav-group-task">
                <a href="Type%20Definitions/PCPeripheralService.html">PCPeripheralService</a>
              </li>
              <li class="nav-group-task">
                <a href="Type%20Definitions/kPCMagnitudeLevels.html">kPCMagnitudeLevels</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Functions.html">Functions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Functions.html#/c:@F@sbLogFuncObjC_impl">sbLogFuncObjC_impl</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            
            <h1 id='proxicloudsdk' class='heading'>ProxicloudSDK</h1>
<h3 id='ios-sdk-for-handling-ibeacon-technology-via-the-proxi-cloud-beacon-management-platform' class='heading'>iOS SDK for handling iBeacon technology via the Proxi Cloud Beacon Management Platform.</h3>

<p>SDK features
Scanning for Bluetooth beacons and reacting accordingly when detecting one correlated with an action defined in the proxi.cloud panel
Observing rough location for detecting presence inside a defined geofence. Reacting accordingly to actions created in the proxi.cloud panel
Scanning for WiFi networks - reacting if a detected network is connected to an action in the proxi.cloud panel
Reacting and executing actions set in the proxi.cloud panel based if the user belongs to a defined segment.</p>

<p>More details at <a href="https://developer.proxi.cloud">https://developer.proxi.cloud</a></p>
<h3 id='installation' class='heading'>Installation</h3>
<pre class="highlight ruby"><code><span class="n">pod</span> <span class="s1">'ProxicloudSDK'</span>
</code></pre>
<h3 id='authors' class='heading'>Authors</h3>

<p>Proxi Cloud</p>

          </section>
        </section>
        <section id="footer">
          <p>Coryright Proxi Cloud. All rights reserved</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.13.6</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
